package com.elitesland.metadata.param;

import com.elitesland.core.base.param.AbstractOrderQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <pre>作用说明</pre>
 *
 * @author mir
 * @date 11/21/2020 2:33 AM
 */
@Data
@ApiModel("元数据-字段定义查询条件对象")
public class MetaFieldQParam extends AbstractOrderQueryParam {

    private static final long serialVersionUID = -9097681031433014144L;

    @ApiModelProperty(value = "记录ID集合")
    List<Long> ids;

    @ApiModelProperty(value = "字段编码")
    String fieldCode;

    @ApiModelProperty(value = "字段描述")
    String fieldDesc;

    @ApiModelProperty(value = "字段类型, [UDC]META:FLDTYPE")
    String fieldType;

    @ApiModelProperty(value = "字段长度")
    Integer fieldLength;

    @ApiModelProperty(value = "字段精度")
    Integer fieldPrecision;

    @ApiModelProperty(value = "UDC的Domain Code")
    String udcDomainCode;

    @ApiModelProperty(value = "UDC的UDC Code")
    String udcCode;

    @ApiModelProperty(value = "UDC的描述")
    String udcDesc;

    @ApiModelProperty(value = "页面元素类型")
    String pageElement;

    @ApiModelProperty(value = "页面标签")
    String pageLabel;

    @ApiModelProperty(value = "移动端页面元素类型")
    String mobileElement;

    @ApiModelProperty(value = "移动端页面标签")
    String mobileLabel;

    @ApiModelProperty(value = "是否必填")
    Boolean isRequired;

    @ApiModelProperty(value = "最小长度")
    Integer minLength;

    @ApiModelProperty(value = "最大长度")
    Integer maxLength;
}
