package com.elitesland.org.entity;

import com.elitesland.core.base.BaseModel;
import com.elitesland.system.annotation.Comment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Objects;

@Entity
@Table(name = "org_empoyee_tag")
@org.hibernate.annotations.Table(appliesTo = "org_empoyee_tag", comment = "雇员标签表")
@Data
@Accessors(chain = true)
@ApiModel(value = "雇员标签表", description = "雇员标签表")
public class EmployeeTagDO extends BaseModel implements Serializable {

    @ApiModelProperty(value = "标签名称")
    @Comment("标签名称")
    @Column()
    String tagName;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof EmployeeTagDO)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        EmployeeTagDO entity = (EmployeeTagDO) o;
        return getId().equals(entity.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getId());
    }
}