package com.elitesland.org.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "公司", description = "公司")
public class OrgOuVO implements Serializable {

    private static final long serialVersionUID = -8927388745599408150L;

    @ApiModelProperty("记录ID")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;

    @ApiModelProperty("公司编号")
    String code;

    @ApiModelProperty("公司名称")
    String name;

    @ApiModelProperty("公司名称2")
    String name2;

    @ApiModelProperty("公司名称3")
    String name3;

    @ApiModelProperty("公司名称4")
    String name4;

    @ApiModelProperty("公司简称")
    String abbr;

    @ApiModelProperty("字母缩写")
    String abbrAlpha;

    @ApiModelProperty("公司类型")
    String type;

    @ApiModelProperty("公司类型2")
    String type2;

    @ApiModelProperty("公司类型3")
    String type3;

    @ApiModelProperty("公司状态 [UDC]COM:STATUS_ACTIVEORNO")
    String status;

    @ApiModelProperty("公司状态2")
    String status2;

    @ApiModelProperty("公司状态3")
    String status3;

    @ApiModelProperty("经营单位ID")
    @JsonSerialize(using = ToStringSerializer.class)
    Long buId;

    @ApiModelProperty("经营单位ID2")
    @JsonSerialize(using = ToStringSerializer.class)
    Long buId2;

    @ApiModelProperty("经营单位ID3")
    @JsonSerialize(using = ToStringSerializer.class)
    Long buId3;

    @ApiModelProperty("经营单位ID4")
    @JsonSerialize(using = ToStringSerializer.class)
    Long buId4;

    @ApiModelProperty("上级ID")
    @JsonSerialize(using = ToStringSerializer.class)
    Long parentId;

    @ApiModelProperty("上级OU信息")
    OrgOuVO parentOu;

    @ApiModelProperty(value = "顺序号")
    Integer sortNo;

    @ApiModelProperty("关系路径")
    String path;

    @ApiModelProperty("本位币")
    String stdCurr;

    @ApiModelProperty("财务日历编号")
    String finCalCode;

    @ApiModelProperty("地址号")
    @JsonSerialize(using = ToStringSerializer.class)
    Long addrNo;

    @ApiModelProperty("国家 [UDC]COM:COUNTRY")
    String country;

    @ApiModelProperty("省份 [UDC]COM:PROVINCE")
    String province;

    @ApiModelProperty("城市")
    String city;

    @ApiModelProperty("区域")
    String region;

    @ApiModelProperty("纳税人类型")
    String taxpayerType;

    @ApiModelProperty("组织机构代码证号")
    String bizCodeCert;

    @ApiModelProperty("纳税人识别号")
    String taxerCode;

    @ApiModelProperty("工商登记号")
    String icRegisterNo;

    @ApiModelProperty("税务登记号")
    String taxRegNo;

    @ApiModelProperty("统一信用代码")
    String uniCertNo;

    @ApiModelProperty("外部编码")
    String externalCode;

    @ApiModelProperty("ES1")
    String es1;

    @ApiModelProperty("ES2")
    String es2;

    @ApiModelProperty("ES3")
    String es3;

    @ApiModelProperty("ES4")
    String es4;

    @ApiModelProperty("ES5")
    String es5;

    @ApiModelProperty("ES6")
    String es6;

    @ApiModelProperty("ES7")
    String es7;

    @ApiModelProperty("ES8")
    String es8;

    @ApiModelProperty("ES9")
    String es9;

    @ApiModelProperty("ES10")
    String es10;

    @ApiModelProperty("下级公司列表")
    List<OrgOuVO> children;
}